<?php

if ( !defined('ABSPATH') ) exit;

function quickcab_fixed_address_columns($original_columns) {
  $new_columns = array(
    'cb'          => $original_columns['cb'],
    'details'     => esc_html__('Details', 'quickcab'),
    'start'       => esc_html__('Starting Address', 'quickcab'),
    'destination' => esc_html__('Destination Address', 'quickcab'),
    'date'        => $original_columns['date']
  );

  return apply_filters('quickcab_fixed_address_columns', $new_columns);
}
add_filter('manage_fixed_address_posts_columns', 'quickcab_fixed_address_columns');

function quickcab_render_fixed_address_columns($column_name, $post_id) {
  if ( get_post_type($post_id) == 'fixed_address' ) {
    $fixed_address = new QuickCab_Fixed_Address($post_id);

    switch ( $column_name ) {
      case 'details':
        ?><a class="row-title" href="<?php echo esc_attr(get_edit_post_link($post_id)); ?>" class="quickcab-fixed_address__table-link"><?php
          echo esc_html($fixed_address->get_name());
        ?></a><br><?php
        echo esc_html($fixed_address->get_address());
        break;
      case 'start':
        if ( $fixed_address->is_origin() ) {
          ?><span class="dashicons dashicons-yes dashicons-green"></span><?php
        } else {
          ?><span class="dashicons dashicons-no-alt dashicons-red"></span><?php
        }
        break;
      case 'destination':
        if ( $fixed_address->is_destination() ) {
          ?><span class="dashicons dashicons-yes dashicons-green"></span><?php
        } else {
          ?><span class="dashicons dashicons-no-alt dashicons-red"></span><?php
        }
        break;
    }
  }
}
add_action('manage_posts_custom_column', 'quickcab_render_fixed_address_columns', 10, 2);
