<?php

if ( !defined('ABSPATH') ) exit;

$woocommerce_activated = in_array('woocommerce/woocommerce.php', get_option('active_plugins'));

if ( !$woocommerce_activated ) {
  function quickcab_error_notice() {
      ?><div class="error notice">
        <p><?php
          echo esc_html__('You need to install WooCommerce for QuickCab to work.', 'quickcab');
        ?></p>
      </div><?php
  }
  add_action('admin_notices', 'quickcab_error_notice');
  return;
}

/**
 * Plugin Name: QuickCab
 * Plugin URI: https://quickcabwp.com
 * Description: Powerful pricing estimates for trasport services. QuickCab gives you complete control over how you structure your businesses pricing and provides a simple, easy-to-use interface to allow your customers to make bookings online.
 * Author: 20script
 * Author URI: https://www.20script.ir
 * Text Domain: quickcab
 * Domain Path: /languages
 * Version: 1.2.8
 * License: GPLv2
 */

define('QUICKCAB_VERSION', '1.2.8');
define('QUICKCAB_PLUGIN', __FILE__);
define('QUICKCAB_PLUGIN_DIR', untrailingslashit(dirname(QUICKCAB_PLUGIN)));

require_once QUICKCAB_PLUGIN_DIR . '/require.php';

register_activation_hook(__FILE__, 'quickcab_install_custom_database');

global $quickcab_settings;
$quickcab_settings = quickcab_get_settings();
